EDIT - bug #9390

Remaining issues for set secundum dialog
01/18/2021 10:23 AM - Andreas Mdller

Status: In Progress Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 40%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal Found in Version:

Description

follow up from #6315

- this should be fixed

2. Also if the dialog is resized this space changes and even the secundum selection disappears completely if the dialogue is too
small. This should not happen.

3. ption-part-has-aline-break-ev a-lot-of-spa
SW-code} we decided to keep it like it is because this is handled by rcp

Related issues:

Related to EDIT - feature request #9611: Implement setSecundumForSubtree for ... Closed
Related to EDIT - bug #6359: Remaining issues secundum for subtrees Closed
Related to EDIT - bug #7577: Set Publish Flag for Subtree Dialog - Further Pr... New

Copied from EDIT - feature request #6315: Implement setSecundumForSubtree in ... Closed

Associated revisions

Revision f85472ea - 02/01/2021 09:07 AM - Katja Luther

ref #9390: reduce the space between checkboxes and text

History

#1 - 01/18/2021 10:24 AM - Andreas Mdiller

- Copied from feature request #6315: Implement setSecundumForSubtree in TaxEditor added

#2 - 01/27/2021 04:44 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#3 - 02/01/2021 09:22 AM - Katja Luther
- Status changed from New to In Progress

- % Done changed from 0 to 40

the space between the checkbox area and the text is reduced, the line break in the description part | was not able to adapt, this is handled in the
TitleAreaDialog and there is a gap for a potential image but | did not find a way to reduce this gap.

This is hardcoded in TitleAreaDialog (see https://stackoverflow.com/questions/12528399/moving-an-image-of-a-titleareadialog-to-the-left) and the
only way to change it, implement our ownn dialog class. This would be an extra ticket, if we want to have this for all dialogs.

#4 - 03/11/2021 08:51 AM - Katja Luther

- Target version changed from Release 5.21 to Release 5.22

#5 - 04/19/2021 02:31 PM - Katja Luther
- Status changed from In Progress to Feedback

- Assignee changed from Katja Luther to Andreas Miiller
we should discuss if we want to remove the line break for all dialogs, then | create a new ticket for adaption of dialog implementation.

#6 - 04/19/2021 02:31 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.25

#7 - 05/06/2021 08:36 PM - Andreas Miiller
- Related to feature request #9611: Implement setSecundumForSubtree for MAN and ppSyns in TaxEditor added

#8 - 05/11/2021 03:31 PM - Andreas Miiller

- Related to bug #6359: Remaining issues secundum for subtrees added

#9 - 05/12/2021 10:55 AM - Andreas Miiller
- Description updated

- Assignee changed from Andreas Muiller to Katja Luther

The line break is probably not so critical so | don't think we urgently need a self made dialogue. But | don't know how much work it is to implement on
our own. If it is fast we may do it, otherwise not as there are more critical issues.

A bit more important is the fact that the dialogue can become so small that important information is not shown anymore (issue 2. from the description).
Usually dialogues refuse to be shrinked too much (or at all).

#10 - 05/17/2021 01:45 PM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.23

#11 - 05/18/2021 09:59 AM - Katja Luther

- Target version changed from Release 5.23 to Release 5.25

#12 - 05/18/2021 06:06 PM - Andreas Miiller
- Related to bug #7577: Set Publish Flag for Subtree Dialog - Further Problems with Progressmonitor added

#13 - 06/30/2021 11:40 AM - Katja Luther

- Status changed from Feedback to In Progress

#14 - 07/01/2021 12:15 PM - Katja Luther
- Description updated

- Target version changed from Release 5.25 to Release 5.45

#15 - 07/09/2021 01:52 PM - Andreas Miiller

- Description updated
